uudoc(1)

NAME
uudoc - ls-about

SYNOPSIS
uudoc [--help] [--format] [-C ] [-l|--long] [-x ] [-T|--tabsize] [-m ] [--zero] [-D|--dired] [--hyperlink] [-1 ] [-o ] [-g ] [-n|--numeric-uid-gid] [--quoting-style] [-N|--literal] [-b|--escape] [-Q|--quote-name] [-q|--hide-control-chars] [--show-control-chars] [--time] [-c ] [-u ] [--hide] [-I|--ignore] [-B|--ignore-backups] [--sort] [-S ] [-t ] [-v ] [-X ] [-U ] [-L|--dereference] [--dereference-command-line-symlink-to-dir] [-H|--dereference-command-line] [-G|--no-group] [--author] [-a|--all] [-A|--almost-all] [-f ] [-d|--directory] [-h|--human-readable] [-k|--kibibytes] [--si] [--block-size] [-i|--inode] [-r|--reverse] [-R|--recursive] [-w|--width] [-s|--size] [--color] [--indicator-style] [-F|--classify] [--file-type] [-p ] [--time-style] [--full-time] [-Z|--context] [--group-directories-first] [-V|--version] [paths]

DESCRIPTION
ls-about

OPTIONS

--help
    ls-help-print-help

--format
    ls-help-set-display-format

-C  ls-help-display-files-columns

-l, --long
    ls-help-display-detailed-info

-x  ls-help-list-entries-rows

-T, --tabsize <COLS>
    ls-help-assume-tab-stops
    May also be specified with the TABSIZE environment variable.

-m  ls-help-list-entries-commas

--zero
    ls-help-list-entries-nul

-D, --dired
    ls-help-generate-dired-output

--hyperlink[=<WHEN>] [default: never]
    ls-help-hyperlink-filenames
    [possible values: always, auto, never]

-1  ls-help-list-one-file-per-line

-o  ls-help-long-format-no-group

-g  ls-help-long-no-owner

-n, --numeric-uid-gid
    ls-help-long-numeric-uid-gid

--quoting-style
    ls-help-set-quoting-style
    [possible values: literal, shell, shell-escape, shell-always, shell-escape-always, c, escape]

-N, --literal
    ls-help-literal-quoting-style

-b, --escape
    ls-help-escape-quoting-style

-Q, --quote-name
    ls-help-c-quoting-style

-q, --hide-control-chars
    ls-help-replace-control-chars

--show-control-chars
    ls-help-show-control-chars

--time=<field>
    ls-help-show-time-field

-c  ls-help-time-change

-u  ls-help-time-access

--hide <PATTERN>
    ls-help-hide-pattern

-I, --ignore <PATTERN>
    ls-help-ignore-pattern

-B, --ignore-backups
    ls-help-ignore-backups

--sort=<field>
    ls-help-sort-by-field
    [possible values: name, none, time, size, version, extension, width]

-S  ls-help-sort-by-size

-t  ls-help-sort-by-time

-v  ls-help-sort-by-version

-X  ls-help-sort-by-extension

-U  ls-help-sort-none

-L, --dereference
    ls-help-dereference-all

--dereference-command-line-symlink-to-dir
    ls-help-dereference-dir-args

-H, --dereference-command-line
    ls-help-dereference-args

-G, --no-group
    ls-help-no-group

--author
    ls-help-author

-a, --all
    ls-help-all-files

-A, --almost-all
    ls-help-almost-all

-f  ls-help-unsorted-all

-d, --directory
    ls-help-directory

-h, --human-readable
    ls-help-human-readable

-k, --kibibytes
    ls-help-kibibytes

--si
    ls-help-si

--block-size=<BLOCK_SIZE>
    ls-help-block-size

-i, --inode
    ls-help-print-inode

-r, --reverse
    ls-help-reverse-sort

-R, --recursive
    ls-help-recursive

-w, --width <COLS>
    ls-help-terminal-width

-s, --size
    ls-help-allocation-size

--color
    ls-help-color-output
    [possible values: always, auto, never]

--indicator-style
    ls-help-indicator-style
    [possible values: none, slash, file-type, classify]

-F, --classify[=<when>]
    ls-help-classify
    [possible values: always, auto, never]

--file-type
    ls-help-file-type

-p  ls-help-slash-directories

--time-style <TIME_STYLE>
    ls-help-time-style
    May also be specified with the TIME_STYLE environment variable.

--full-time
    ls-help-full-time

-Z, --context
    ls-help-context

--group-directories-first
    ls-help-group-directories-first

-V, --version
    Print version

[paths]

EXTRA
Examples List files and directories in the current directory, one per line, with details: vdir List with sizes displayed in human-readable units (KB, MB, GB): vdir {{[-h|--human-readable]}} List including hidden files (starting with a dot): vdir {{[-a|--all]}} List files and directories sorting entries by size (largest first): vdir -S List files and directories sorting entries by modification time (newest first): vdir -t List grouping directories first: vdir --group-directories-first Recursively list all files and directories in a specific directory: vdir {{[-R|--recursive]}} {{path/to/directory}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.4.0